﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamComboEditorDataTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<LiveViewDataPoint> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<LiveViewDataPoint>();

            Data.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 8, 25), Price = 0, Name = "Name0" });
            Data.Add(new LiveViewDataPoint() { Date = new DateTime(2009, 8, 25), Price = 1, Name = "Name1" });
            Data.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 9, 25), Price = 2, Name = "Name2" });
            Data.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 1, 3), Price = 3, Name = "Name3" });
            Data.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 1, 3), Price = 4, Name = "Name4" });
            Data.Add(new LiveViewDataPoint() { Date = new DateTime(2008, 1, 3), Price = 5, Name = "Name5" });

            xamComboEditor1.ItemsSource = Data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int num;

            if (int.TryParse(textBox1.Text, out num) && (num >= 0 && num < 6))
            {
                xamComboEditor1.SelectedItem = Data.Single(x => (x as LiveViewDataPoint).Name == "Name" + num);
            }

        }
    }

    public class LiveViewDataPoint
    {
        public DateTime Date { get; set; }
        public double Price { get; set; }
        public String Name { get; set; }
    }
}
